@import url(../css/socialmedia.css);
@import url(../css/piepagina.css);
@import url(../css/estilos.css);
@import url(videocons.css);
@import url(prodatos.css);
@import url(optimizar.css);



@font-face {
    font-family: 'BevMedium';
    src: url(../fonts/BeVietnamPro-Medium.otf);
}
@font-face {
    font-family: 'ORegular';
    src: url(../fonts/Outfit-Regular.ttf);
}
:root{
    --violeta: #3C1053;
    --azul: #1D2A44;
    --negro: #000000;
    --menucolor: #F8F4Fe;
}


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: .2s linear;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

section{
    padding: 2rem 7%;
}

.header {
    width: 100%;
    height: 50px;
    background: var(--menucolor);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.9rem 5%;
    position: fixed;
    top: 0; left: 0; right: 0;
    z-index: 1000;
    box-shadow: 0 .5rem 1 rem rgba(0,0,0,.1);
}
.header .navbar a{
    margin: 0 1.5rem;
    font-family: 'BevMedium';
    font-size: 2.3rem;
    color: var(--violeta);
}
.header .navbar a:hover{
    font-weight: bold;
    color: var(--azul);
    border-bottom: .1rem solid var(--azul);
    padding-bottom: .5rem;
}
.header .filiales div{
    color: var(--azul);
    cursor: pointer;
    font-size: 2.5rem;
    margin-left: 2rem;
}
.header .filiales div:hover{
    color: var(--violeta);
}
#menu-btn{
    display: none;
}
/*********SOLUCIONES INFORMATICAS*******************************************************************************************************************/
.imgPrincipal {
    display: flex;
    align-items: center;
    background: url(../imagenes/Consultoria.png) no-repeat;
    background-size:cover;
    background-position:right;
}
.imgPrincipal .title-prin h1{
    color: var(--menucolor);
    font-weight: bold;
    font-family: "BevMedium";
}
.imgPrincipal .title-prin p{
    color: var(--menucolor);
    padding-left: 20px;
    text-transform: none;
    font-family: "ORegular";
}
/*****MEDIA QUERIES*********************************************************************************************************************************/
 
@media (min-width:320px) {
    .imgPrincipal {
        min-height: 45dvh;
    }
    .imgPrincipal .title-prin h1{
        font-size: 3rem;
        max-width: 20rem;
        padding-left: 15px;
    }
    .imgPrincipal .title-prin p{
        font-size: 1.7rem;
        max-width: 31rem;
        margin-left: 40px;
    }
    .header .logo{
    margin-left: 20px;
    }
    .imgGracias {
        min-height: 45dvh;
    }
}

@media (min-width:768px) {
    html{
        font-size: 55%;
    }
    .header{
        padding: 1.5rem 2rem;
    }
    .imgPrincipal {
        min-height: 65dvh;
    }
    .imgPrincipal .title-prin h1{
        font-size: 5.5rem;
        max-width: 70rem;
    }
    .imgPrincipal .title-prin p{
        font-size: 2.3rem;
        max-width: 70rem;
        margin-left: 40px;
    }
    .header .logo{
    margin-left: 100px;
    }
    .imgGracias {
        min-height: 45dvh;
    }
}
@media (min-width:1024px) {
    .imgPrincipal .title-prin h1{
        font-size: 6.5rem;
        max-width: 90rem;
    }
    .imgPrincipal .title-prin p{
        font-size: 2.5rem;
        max-width: 100rem;
        margin-left: 40px;
    }    
}
@media (max-width:1024px) {
    #menu-btn{
        display: inline-block;
    }

    .header .navbar{
        position: absolute;
        top: 100%;
        right: -100%;
        background: var(--menucolor);
        width: 30rem;
        height: calc(100vh - 9.5rem);
    }

    .header .navbar.active {
        right: 0;
    }
    .header .navbar a{
        display: block;
        margin: 1.5rem;
        padding: .5rem;
        font-size: 2rem;
    }
}
@media (min-width:1640px){
    .imgPrincipal {
        min-height: 90dvh;
        width: 100%;
    }
    .imgPrincipal .title-prin h1{
        font-size: 7rem;
        padding-left: 30px;
        max-width: 100rem;
    }
    .imgPrincipal .title-prin p{
        font-size: 2.3rem;
        max-width: 110rem;
        margin-left: 40px;
    }
    .imgGracias {
        min-height: 60dvh;
        width: 100%;
    }
}
